// Generated by gencpp from file loop_move/LoopMoveMsg.msg
// DO NOT EDIT!


#ifndef LOOP_MOVE_MESSAGE_LOOPMOVEMSG_H
#define LOOP_MOVE_MESSAGE_LOOPMOVEMSG_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>

#include <geometry_msgs/PoseStamped.h>
#include <geometry_msgs/PoseStamped.h>

namespace loop_move
{
template <class ContainerAllocator>
struct LoopMoveMsg_
{
  typedef LoopMoveMsg_<ContainerAllocator> Type;

  LoopMoveMsg_()
    : pose1()
    , pose2()  {
    }
  LoopMoveMsg_(const ContainerAllocator& _alloc)
    : pose1(_alloc)
    , pose2(_alloc)  {
  (void)_alloc;
    }



   typedef  ::geometry_msgs::PoseStamped_<ContainerAllocator>  _pose1_type;
  _pose1_type pose1;

   typedef  ::geometry_msgs::PoseStamped_<ContainerAllocator>  _pose2_type;
  _pose2_type pose2;





  typedef boost::shared_ptr< ::loop_move::LoopMoveMsg_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::loop_move::LoopMoveMsg_<ContainerAllocator> const> ConstPtr;

}; // struct LoopMoveMsg_

typedef ::loop_move::LoopMoveMsg_<std::allocator<void> > LoopMoveMsg;

typedef boost::shared_ptr< ::loop_move::LoopMoveMsg > LoopMoveMsgPtr;
typedef boost::shared_ptr< ::loop_move::LoopMoveMsg const> LoopMoveMsgConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::loop_move::LoopMoveMsg_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::loop_move::LoopMoveMsg_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace loop_move

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': False, 'IsMessage': True, 'HasHeader': False}
// {'std_msgs': ['/opt/ros/kinetic/share/std_msgs/cmake/../msg'], 'geometry_msgs': ['/opt/ros/kinetic/share/geometry_msgs/cmake/../msg'], 'loop_move': ['/home/eaibot/2022_jsjds/dashgo_ws/src/dashgo/rviz/loop_move/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::loop_move::LoopMoveMsg_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::loop_move::LoopMoveMsg_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::loop_move::LoopMoveMsg_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::loop_move::LoopMoveMsg_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::loop_move::LoopMoveMsg_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::loop_move::LoopMoveMsg_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::loop_move::LoopMoveMsg_<ContainerAllocator> >
{
  static const char* value()
  {
    return "db0db2066f7076a1006be5499d9857d7";
  }

  static const char* value(const ::loop_move::LoopMoveMsg_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xdb0db2066f7076a1ULL;
  static const uint64_t static_value2 = 0x006be5499d9857d7ULL;
};

template<class ContainerAllocator>
struct DataType< ::loop_move::LoopMoveMsg_<ContainerAllocator> >
{
  static const char* value()
  {
    return "loop_move/LoopMoveMsg";
  }

  static const char* value(const ::loop_move::LoopMoveMsg_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::loop_move::LoopMoveMsg_<ContainerAllocator> >
{
  static const char* value()
  {
    return "geometry_msgs/PoseStamped pose1\n\
geometry_msgs/PoseStamped pose2\n\
\n\
================================================================================\n\
MSG: geometry_msgs/PoseStamped\n\
# A Pose with reference coordinate frame and timestamp\n\
Header header\n\
Pose pose\n\
\n\
================================================================================\n\
MSG: std_msgs/Header\n\
# Standard metadata for higher-level stamped data types.\n\
# This is generally used to communicate timestamped data \n\
# in a particular coordinate frame.\n\
# \n\
# sequence ID: consecutively increasing ID \n\
uint32 seq\n\
#Two-integer timestamp that is expressed as:\n\
# * stamp.sec: seconds (stamp_secs) since epoch (in Python the variable is called 'secs')\n\
# * stamp.nsec: nanoseconds since stamp_secs (in Python the variable is called 'nsecs')\n\
# time-handling sugar is provided by the client library\n\
time stamp\n\
#Frame this data is associated with\n\
# 0: no frame\n\
# 1: global frame\n\
string frame_id\n\
\n\
================================================================================\n\
MSG: geometry_msgs/Pose\n\
# A representation of pose in free space, composed of position and orientation. \n\
Point position\n\
Quaternion orientation\n\
\n\
================================================================================\n\
MSG: geometry_msgs/Point\n\
# This contains the position of a point in free space\n\
float64 x\n\
float64 y\n\
float64 z\n\
\n\
================================================================================\n\
MSG: geometry_msgs/Quaternion\n\
# This represents an orientation in free space in quaternion form.\n\
\n\
float64 x\n\
float64 y\n\
float64 z\n\
float64 w\n\
";
  }

  static const char* value(const ::loop_move::LoopMoveMsg_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::loop_move::LoopMoveMsg_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.pose1);
      stream.next(m.pose2);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct LoopMoveMsg_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::loop_move::LoopMoveMsg_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::loop_move::LoopMoveMsg_<ContainerAllocator>& v)
  {
    s << indent << "pose1: ";
    s << std::endl;
    Printer< ::geometry_msgs::PoseStamped_<ContainerAllocator> >::stream(s, indent + "  ", v.pose1);
    s << indent << "pose2: ";
    s << std::endl;
    Printer< ::geometry_msgs::PoseStamped_<ContainerAllocator> >::stream(s, indent + "  ", v.pose2);
  }
};

} // namespace message_operations
} // namespace ros

#endif // LOOP_MOVE_MESSAGE_LOOPMOVEMSG_H
